Множественные уязвимости в JEEMA SMS дополнение для Joomla!

Дата публикации:
24.10.2011
Всего просмотров:
1108
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
3
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:U/RL:O/RC:C) = Base:6.4/Temporal:4.7
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:U/RL:O/RC:C) = Base:6.4/Temporal:4.7
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
JEEMA SMS 3.x (component for Joomla!)
Уязвимые версии: JEEMA SMS дополнение для Joomla! 3.2, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "filter_subsearch" в сценарии index.php (когда параметр "option" равен "com_jeemasms", а "view" - "book", "group", "history", "sender", "keyword", "smstemplate", "csvsms", "invoice", "smsschedule" или "senderrequest"). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "groupid" в сценарии index.php (когда параметр "option" равен "com_jeemasms", а "view" и "task" - "groupsubscribe"). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

3. Уязвимость существует из-за недостаточной проверки подлинности HTTP запросов при выполнении некоторых действий. Удаленный пользователь может произвести CSRF нападение.

URL производителя: http://www.jeema.net/buy-now/jeema-sms.html

Решение: Установите последнюю версию 3.5.2 с сайта производителя.

Ссылки: http://www.exploit-db.com/exploits/18047/
http://jeema.net/about-us/securty-releases.html

или введите имя

CAPTCHA